<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="12" version="2.0">
<workbenchAdvisor/>
<window height="820" maximized="true" width="1300" x="-11" y="125">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout locked="0">
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="99" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="176" y="22"/>
<coolItem id="org.eclipse.jdt.ui.JavaElementCreationActionSet" itemType="typeToolBarContribution" x="99" y="22"/>
<coolItem id="org.eclipse.jst.j2ee.J2eeMainActionSet" itemType="typeToolBarContribution" x="99" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="76" y="22"/>
<coolItem id="org.eclipse.team.cvs.ui.CVSActionSet" itemType="typeToolBarContribution" x="38" y="22"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="61" y="22"/>
<coolItem id="org.eclipse.wst.server.ui.internal.webbrowser.actionSet" itemType="typeToolBarContribution" x="38" y="22"/>
<coolItem id="org.eclipse.wst.web.ui.wizardsActionSet" itemType="typeToolBarContribution" x="84" y="22"/>
<coolItem id="org.eclipse.wst.ws.explorer.explorer" itemType="typeToolBarContribution" x="38" y="22"/>
<coolItem id="org.eclipse.wst.xml.ui.perspective.NewFileToolBar" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="org.eclipse.wst.xml.ui.design.DesignToolBar" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="190" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.jdt.debug.ui.SnippetEditor" itemType="typePlaceholder" x="130" y="22"/>
<coolItem id="net.jsdai.express_compiler.list_editor.ExpressListEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="org.eclipse.jdt.ui.ClassFileEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="net.jsdai.step_editor.editor.P21Editor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="net.jsdai.express_g.editors.SdaiEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="org.eclipse.jdt.ui.CompilationUnitEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="org.eclipse.jdt.ui.PropertiesFileEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="net.jsdai.express_compiler.editor.ExpressEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="org.eclipse.ui.DefaultTextEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="org.eclipse.wst.xml.ui.internal.tabletree.XMLMultiPageEditorPart" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page aggregateWorkingSetId="Aggregate for window 1274047623293" focus="true" label="Workspace - Express">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</editorArea>
<editor activePart="true" focus="true" id="net.jsdai.express_compiler.editor.ExpressEditor" name="new_schema.exp" partName="new_schema.exp" path="C:/Users/Ancelmo/workspace/STEP_NC_forTurning/Express files/new_schema.exp" title="new_schema.exp" tooltip="STEP_NC_forTurning/Express files/new_schema.exp" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/STEP_NC_forTurning/Express files/new_schema.exp"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="275" selectionTopPixel="0"/>
</editor>
</editors>
<views>
<view id="org.eclipse.jdt.ui.TypeHierarchy" partName="Hierarchy">
<viewState hidefields="false" hidelocaltypes="false" hidenonpublic="false" hidestatic="false" input="=StepNcMachining" link_editors="0" mv_vertical_scroll="0" orientation="3" qualified_names="0" ratio="350" selection="=StepNcMachining/C:\/Program Files \(x86)\/Java\/jre6\/lib\/rt.jar&lt;java.lang(Object.class[Object" showinherited="false" sortbydefiningtype="false" vertical_scroll="0" view="2" workingSetName=""/>
</view>
<view id="org.eclipse.ui.views.ResourceNavigator" partName="Navigator">
<viewState LINK_NAVIGATOR_TO_EDITOR="0" sorter="1">
<filters>
<filter element="*.class" isEnabled="false"/>
<filter element="RemoteSystemsConnections" isEnabled="true"/>
<filter element="RemoteSystemsTempFiles" isEnabled="true"/>
<filter element=".*" isEnabled="false"/>
<filter element="*.class" isEnabled="false"/>
</filters>
<expanded>
<element path="/STEP_NC_forTurning"/>
<element path="/STEP_NC_forTurning/Express files"/>
</expanded>
</viewState>
</view>
<view id="org.eclipse.ui.views.ProblemView" partName="Problems">
<viewState PRIMARY_SORT_FIELD="org.eclipse.ui.ide.severityAndDescriptionField" categoryGroup="org.eclipse.ui.ide.severity" markerContentGenerator="org.eclipse.ui.ide.problemsGenerator" partName="Problems">
<columnWidths org.eclipse.ui.ide.locationField="64" org.eclipse.ui.ide.markerType="94" org.eclipse.ui.ide.pathField="124" org.eclipse.ui.ide.resourceField="94" org.eclipse.ui.ide.severityAndDescriptionField="415"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.severityAndDescriptionField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.resourceField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.pathField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.locationField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.markerType"/>
</viewState>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="Console">
<viewState/>
</view>
<view id="org.eclipse.jdt.ui.PackageExplorer" partName="Package Explorer">
<viewState group_libraries="1" layout="2" linkWithEditor="0" rootMode="1" workingSetName="">
<customFilters userDefinedPatternsEnabled="false">&#x0A;<xmlDefinedFilters>&#x0A;<child filterId="org.eclipse.jdt.ui.PackageExplorer.LibraryFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.LocalTypesFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.StaticsFilter" isEnabled="false"/>
<child filterId="org.eclipse.pde.ui.ExternalPluginLibrariesFilter1" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ClosedProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonSharedProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonJavaElementFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ContainedLibraryFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.CuAndClassFileFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonJavaProjectsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.EmptyInnerPackageFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.PackageDeclarationFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.EmptyPackageFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer_patternFilterId_RemoteSystemsConnections" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.ImportDeclarationFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.FieldsFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.internal.ui.PackageExplorer.HideInnerClassFilesFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.NonPublicFilter" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer_patternFilterId_.*" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.EmptyLibraryContainerFilter" isEnabled="true"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer_patternFilterId_RemoteSystemsTempFiles" isEnabled="true"/>
<child filterId="org.eclipse.pde.ui.BinaryProjectFilter1" isEnabled="false"/>
<child filterId="org.eclipse.jdt.ui.PackageExplorer.SyntheticMembersFilter" isEnabled="true"/>
<child filterId="org.eclipse.mylyn.java.ui.MembersFilter" isEnabled="false"/>
</xmlDefinedFilters>
</customFilters>
</viewState>
</view>
<view id="org.eclipse.mylyn.tasks.ui.views.tasks" partName="Task List">
<viewState linkWithEditor="true" presentation="org.eclipse.mylyn.tasks.ui.categorized">
<sorter groupBy="CATEGORY_QUERY">&#x0A;<sorter>&#x0A;<sort0 sortDirection="1" sortKey="PRIORITY"/>
<sort1 sortDirection="1" sortKey="RANK"/>
<sort2 sortDirection="1" sortKey="DATE_CREATED"/>
<sort3 sortDirection="1" sortKey="NONE"/>
<sort4 sortDirection="1" sortKey="NONE"/>
<sort5 sortDirection="1" sortKey="NONE"/>
<sort6 sortDirection="1" sortKey="NONE"/>
</sorter>
</sorter>
</viewState>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="Outline">
<viewState/>
</view>
<view id="org.eclipse.jdt.ui.SourceView" partName="Declaration"/>
<view id="org.eclipse.jdt.ui.JavadocView" partName="Javadoc"/>
</views>
<perspectives activePart="org.eclipse.ui.console.ConsoleView" activePerspective="net.jsdai.express_compiler.ExpressPerspective">
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="org.eclipse.jdt.internal.ui.JavaPerspectiveFactory" id="org.eclipse.jdt.ui.JavaPerspective" label="Java"/>
<alwaysOnActionSet id="org.eclipse.jst.servlet.ui.internal.actions.ConvertToWebModuleTypeActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.rse.core.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="org.eclipse.mylyn.context.ui.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.doc.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.tasks.ui.navigation"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="net.jsdai.express_compiler.actionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.breakpointActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.debug.ui.JDTDebugActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.junit.JUnitActionSet"/>
<show_view_action id="org.eclipse.jdt.ui.PackageExplorer"/>
<show_view_action id="org.eclipse.jdt.ui.TypeHierarchy"/>
<show_view_action id="org.eclipse.jdt.ui.SourceView"/>
<show_view_action id="org.eclipse.jdt.ui.JavadocView"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ui.views.TaskList"/>
<show_view_action id="org.eclipse.ui.views.ProgressView"/>
<show_view_action id="org.eclipse.ui.navigator.ProjectExplorer"/>
<show_view_action id="org.eclipse.ui.texteditor.TemplatesView"/>
<show_view_action id="net.jsdai.express_g.editors.outline.InternalContentOutline"/>
<show_view_action id="org.eclipse.ant.ui.views.AntView"/>
<show_view_action id="org.eclipse.pde.runtime.LogView"/>
<show_view_action id="org.eclipse.mylyn.tasks.ui.views.tasks"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.JavaProjectWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewPackageCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewClassCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewInterfaceCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewEnumCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewAnnotationCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSnippetFileCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewJavaWorkingSetWizard"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.folder"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.file"/>
<new_wizard_action id="org.eclipse.ui.editors.wizards.UntitledTextFileWizard"/>
<new_wizard_action id="org.eclipse.jdt.junit.wizards.NewTestCaseCreationWizard"/>
<new_wizard_action id="org.eclipse.mylyn.tasks.ui.wizards.new.repository.task"/>
<perspective_action id="net.jsdai.express_compiler.ExpressPerspective"/>
<perspective_action id="net.jsdai.express_g.perspective"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.jdt.ui.JavaBrowsingPerspective"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.jdt.ui.PackageExplorer"/>
<view id="org.eclipse.jdt.ui.TypeHierarchy"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.jdt.ui.JavadocView"/>
<view id="org.eclipse.jdt.ui.SourceView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.mylyn.tasks.ui.views.tasks"/>
<fastViewBars/>
<layout>&#x0A;<mainWindow>&#x0A;<info folder="true" part="left">&#x0A;<folder activePageID="org.eclipse.jdt.ui.PackageExplorer" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.jdt.ui.PackageExplorer" label="Package Explorer"/>
<page content="org.eclipse.jdt.ui.TypeHierarchy" label="Hierarchy"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<page content="org.eclipse.ui.navigator.ProjectExplorer" label="LabelNotFound"/>
<page content="org.eclipse.jdt.junit.ResultView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
<info folder="true" part="stickyFolderRight" ratio="0.7495544" ratioLeft="841" ratioRight="281" relationship="2" relative="left">&#x0A;<folder appearance="2" expanded="2">&#x0A;<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.19749777" ratioLeft="221" ratioRight="898" relationship="2" relative="left"/>
<info folder="true" part="bottom" ratio="0.69728917" ratioLeft="463" ratioRight="201" relationship="4" relative="org.eclipse.ui.editorss">&#x0A;<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.jdt.ui.JavadocView" label="Javadoc"/>
<page content="org.eclipse.jdt.ui.SourceView" label="Declaration"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<page content="org.eclipse.search.ui.views.SearchView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ProgressView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@399c02" ratio="0.74940616" ratioLeft="631" ratioRight="211" relationship="2" relative="org.eclipse.ui.editorss">&#x0A;<folder activePageID="org.eclipse.mylyn.tasks.ui.views.tasks" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.mylyn.tasks.ui.views.tasks" label="Task List"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="right" ratio="0.5" ratioLeft="250" ratioRight="250" relationship="4" relative="org.eclipse.ui.internal.ViewStack@399c02">&#x0A;<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<page content="org.eclipse.ui.texteditor.TemplatesView" label="LabelNotFound"/>
<page content="org.eclipse.ant.ui.views.AntView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="jsdai.express_compiler.ExpressPerspectiveFactory" id="net.jsdai.express_compiler.ExpressPerspective" label="Express"/>
<alwaysOnActionSet id="org.eclipse.jst.servlet.ui.internal.actions.ConvertToWebModuleTypeActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.rse.core.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="org.eclipse.mylyn.context.ui.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.doc.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.tasks.ui.navigation"/>
<alwaysOnActionSet id="net.jsdai.express_compiler.actionSet"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="net.jsdai.express_g.editors.outline.InternalContentOutline"/>
<new_wizard_action id="net.jsdai.common.JSDAIJava"/>
<new_wizard_action id="net.jsdai.express_compiler.wizards.NewExpressProjectWizard"/>
<new_wizard_action id="net.jsdai.express_compiler.wizards.NewExpressFileWizard"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.folder"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.file"/>
<new_wizard_action id="net.jsdai.express_g.wizards"/>
<perspective_action id="org.eclipse.ui.resourcePerspective"/>
<perspective_action id="org.eclipse.jdt.ui.JavaPerspective"/>
<perspective_action id="net.jsdai.express_g.perspective"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.views.ResourceNavigator"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<fastViewBars/>
<layout>
<mainWindow>
<info folder="true" part="left">
<folder activePageID="org.eclipse.ui.views.ResourceNavigator" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ResourceNavigator" label="Navigator"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="stickyFolderRight" ratio="0.7495544" ratioLeft="841" ratioRight="281" relationship="2" relative="left">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.24955437" ratioLeft="280" ratioRight="842" relationship="2" relative="left"/>
<info folder="true" part="bottom" ratio="0.73042166" ratioLeft="485" ratioRight="179" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/Grava/src/Simples_Torneamento.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_Turning/Express files/Machining_Schema.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_Turning/Express files/Milling_Schema.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_Turning/Express files/milling_tool_schema.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_Turning/Express files/turning_machine_tool_schema.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_Turning/Express files/Turning_Schema.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_Turning/Express files/Machining_schema_forturning.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_g.editors.SdaiEditor" path="/STEP_NC_Turning/STEP_NC_Turning.exd"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.list_editor.ExpressListEditor" path="/STEP_NC_Turning/STEP_NC_Turning_excluded.exl"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_forTurning/Express files/Machining_schema_forTurning.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.list_editor.ExpressListEditor" path="/STEP_NC_forTurning/STEP_NC_forTurning_excluded.exl"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_forTurning/Express files/new_schema.exp"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" path="/STEP_NC_forTurning/Express files/new_schema2.exp"/>
</editors>
<item historyLabel="Simples_Torneamento.java" index="0">
<position info="not_deleted" x="145" y="0"/>
</item>
<item historyLabel="Machining_Schema.exp" index="1">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="Milling_Schema.exp" index="2">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="milling_tool_schema.exp" index="3">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="turning_machine_tool_schema.exp" index="4">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="Turning_Schema.exp" index="5">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="Machining_Schema.exp" index="1">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="1069" y="0"/>
</item>
<item historyLabel="milling_tool_schema.exp" index="3">
<position info="not_deleted" x="366" y="6104"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="milling_tool_schema.exp" index="3">
<position info="not_deleted" x="7" y="19"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="milling_tool_schema.exp" index="3">
<position info="not_deleted" x="28" y="66"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="milling_tool_schema.exp" index="3">
<position info="not_deleted" x="284" y="6187"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="118261" y="0"/>
</item>
<item historyLabel="milling_tool_schema.exp" index="3">
<position info="not_deleted" x="284" y="6187"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="118261" y="0"/>
</item>
<item historyLabel="Milling_Schema.exp" index="2">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="Milling_Schema.exp" index="2">
<position info="not_deleted" x="24" y="66"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="Milling_Schema.exp" index="2">
<position info="not_deleted" x="756" y="23135"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="117817" y="443"/>
</item>
<item historyLabel="Milling_Schema.exp" index="2">
<position info="not_deleted" x="756" y="23135"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="146459" y="0"/>
</item>
<item historyLabel="turning_machine_tool_schema.exp" index="4">
<position info="not_deleted" x="38" y="185"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="146458" y="0"/>
</item>
<item historyLabel="turning_machine_tool_schema.exp" index="4">
<position info="not_deleted" x="666" y="4367"/>
</item>
<item historyLabel="Simples_Torneamento.java" index="0">
<position info="not_deleted" x="145" y="0"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="turning_machine_tool_schema.exp" index="4">
<position info="not_deleted" x="666" y="4367"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="Turning_Schema.exp" index="5">
<position info="not_deleted" x="1496" y="9263"/>
</item>
<item historyLabel="Simples_Torneamento.java" index="0">
<position info="not_deleted" x="145" y="0"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="156172" y="0"/>
</item>
<item historyLabel="Turning_Schema.exp" index="5">
<position info="not_deleted" x="1496" y="9263"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="1025" y="0"/>
</item>
<item historyLabel="STEP_NC_Turning.exd" index="7"/>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="1025" y="0"/>
</item>
<item historyLabel="STEP_NC_Turning_excluded.exl" index="8">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="Machining_schema_forturning.exp" index="6">
<position info="not_deleted" x="0" y="156186"/>
</item>
<item historyLabel="Machining_schema_forTurning.exp" index="9">
<position info="not_deleted" x="13" y="0"/>
</item>
<item historyLabel="STEP_NC_forTurning_excluded.exl" index="10">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="Machining_schema_forTurning.exp" index="9">
<position info="not_deleted" x="769" y="0"/>
</item>
<item historyLabel="new_schema.exp" index="11">
<position info="not_deleted" x="274" y="0"/>
</item>
<item historyLabel="Machining_schema_forTurning.exp" index="9">
<position info="not_deleted" x="37" y="985"/>
</item>
<item historyLabel="new_schema.exp" index="11">
<position info="not_deleted" x="274" y="0"/>
</item>
<item historyLabel="new_schema2.exp" index="12">
<position info="not_deleted" x="35" y="0"/>
</item>
<item active="true" historyLabel="new_schema.exp" index="11">
<position info="not_deleted" x="259" y="0"/>
</item>
</navigationHistory>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="new_schema2.exp" tooltip="STEP_NC_forTurning/Express files/new_schema2.exp">
<persistable path="/STEP_NC_forTurning/Express files/new_schema2.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="new_schema.exp" tooltip="STEP_NC_forTurning/Express files/new_schema.exp">
<persistable path="/STEP_NC_forTurning/Express files/new_schema.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.list_editor.ExpressListEditor" name="STEP_NC_forTurning_excluded.exl" tooltip="STEP_NC_forTurning/STEP_NC_forTurning_excluded.exl">
<persistable path="/STEP_NC_forTurning/STEP_NC_forTurning_excluded.exl"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="Machining_schema_forTurning.exp" tooltip="STEP_NC_forTurning/Express files/Machining_schema_forTurning.exp">
<persistable path="/STEP_NC_forTurning/Express files/Machining_schema_forTurning.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.ui.systemExternalEditor" name="STEP_NC_Turning.src.jar" tooltip="STEP_NC_Turning/STEP_NC_Turning.src.jar">
<persistable path="/STEP_NC_Turning/STEP_NC_Turning.src.jar"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.list_editor.ExpressListEditor" name="STEP_NC_Turning_excluded.exl" tooltip="STEP_NC_Turning/STEP_NC_Turning_excluded.exl">
<persistable path="/STEP_NC_Turning/STEP_NC_Turning_excluded.exl"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_g.editors.SdaiEditor" name="STEP_NC_Turning.exd" tooltip="STEP_NC_Turning/STEP_NC_Turning.exd">
<persistable path="/STEP_NC_Turning/STEP_NC_Turning.exd"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="Turning_Schema.exp" tooltip="STEP_NC_Turning/Express files/Turning_Schema.exp">
<persistable path="/STEP_NC_Turning/Express files/Turning_Schema.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="turning_machine_tool_schema.exp" tooltip="STEP_NC_Turning/Express files/turning_machine_tool_schema.exp">
<persistable path="/STEP_NC_Turning/Express files/turning_machine_tool_schema.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="milling_tool_schema.exp" tooltip="STEP_NC_Turning/Express files/milling_tool_schema.exp">
<persistable path="/STEP_NC_Turning/Express files/milling_tool_schema.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="Milling_Schema.exp" tooltip="STEP_NC_Turning/Express files/Milling_Schema.exp">
<persistable path="/STEP_NC_Turning/Express files/Milling_Schema.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="net.jsdai.express_compiler.editor.ExpressEditor" name="Machining_Schema.exp" tooltip="STEP_NC_Turning/Express files/Machining_Schema.exp">
<persistable path="/STEP_NC_Turning/Express files/Machining_Schema.exp"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="ExampleDrillHole.java" tooltip="StepNcMachining/src/ExampleDrillHole.java">
<persistable path="/StepNcMachining/src/ExampleDrillHole.java"/>
</file>
<file factoryID="org.eclipse.jdt.ui.ClassFileEditorInputFactory" id="org.eclipse.jdt.ui.ClassFileEditor" name="EMaterial.class" tooltip="jsdai.SMachining_schema.EMaterial">
<persistable org.eclipse.jdt.ui.ClassFileIdentifier="=Grava/lib\/STEP_NC_Turning.jar&lt;jsdai.SMachining_schema(EMaterial.class"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Simples_Torneamento.java" tooltip="Grava/src/Simples_Torneamento.java">
<persistable path="/Grava/src/Simples_Torneamento.java"/>
</file>
</mruList>
</workbench>